Bug 6016 - enchant-ispell script is not compatible with emacs flyspell mode
: enchant-ispell script is not compatible with emacs flyspell mode
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/enchant)
: 2.4
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-03 13:47 by
Modified: 2006-05-11 10:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-03 13:47:35
enchant-ispell script is not compatible with emacs flyspell mode
with installed enchant (+ispell)
emacs can't enter flyspell mode.

log citation:

.*  *Messages*	     2090  Fundamental	
...
Loading flyspell...
Failed turning Flyspell mode on, ignoring: ispell exited with code 1
Loading flyspell...
Failed turning Flyspell mode off, ignoring: ispell exited with code 1
...

removing enchant fixes the problem

Steps to Reproduce:
1. install enchant
2. run emacs
3. look at  *Messages* buffer
------- Comment #1 From 2005-02-03 16:09:28 -------
если в настройках emacs flyspell-mode выключен, его можно включить 
M-x flyspell-mode
------- Comment #2 From 2005-05-16 15:10:40 -------
another description of this problem from
http://www.webservertalk.com/archive310-2005-3-983945.html

Hello,
I sometimes edit XML files with Emacs, using Mandrakelinux. After
editing a file, I used to launch M-x flyspell-buffer to spellcheck the
whole buffer at once, and then, after hiding XML tags (View -> Hide
Tags), I had a great and easy view of any mispelled word.

In its latest releases, aspell has become the default spell checking
system in Mandrakelinux. For some reason, this breaks - it seems -
flyspell's behaviour for "large regions" (i.e. when the buffer is larger
than the limit set in flyspell prefs, over which a separate ispell
process is normally launched): it just returns a "Can't check region" error.
I can increase the "large region" limit or simply disable it, so that
everything is always considered to be a "small region", but the process
is very slow this way, much more than it used to be: it takes several
minutes to highlight words in a moderately sized file, around 100
seconds for a small 4 kB file.
Maybe it would be faster if I could make it ignore XML tags.

Can anyone suggest a workaround for this, or any other solution to have
a global view of all mispelled words at once, with or without Emacs?

Thanks in advance.

--
Ciao,
Marco.
Linkage
------- Comment #3 From 2005-05-16 15:24:44 -------
прошу прощения, этот комментраий попал сюда по ошибке. 
это к emacs flyspell mode вместе с aspell.
------- Comment #4 From 2005-05-16 15:41:18 -------
=), а разница не велика, оно пересекается.. Да и мантайнер-то один =)
------- Comment #5 From 2005-12-15 19:28:40 -------
fixed in aspell 0.60.2